For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTAdvanced Search
      • POSTBatch Lookup Deals
      • GETSearch Users
      • PUTSet User Deal Role
      • DELRemove User From Deal
      • POSTCreate Deal
      • GETDeals
      • GETSearch Deals
      • POSTSearch Deals Advanced
      • GETDeal
      • PUTUpdate Deal
      • DELDelete Deal
      • GETExtra Metadata
      • PUTSet Metadata
      • DELDelete Metadata
      • POSTOrder Scan
      • GETComparable Deals
      • POSTExtract Key Findings and Company Description from a scan PDF
      • POSTGenerate a customized investment data request
      • GETGet Inline Image
      • PUTUpload Inline Image
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementDeal

Upload Inline Image

PUT
/api/v1/group/:group_id/deal/:deal_id/inline-image/:image_name
PUT
/api/v1/group/:group_id/deal/:deal_id/inline-image/:image_name
$curl -X PUT https://app.termina.ai/api/v1/group/1/deal/1/inline-image/image_name \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@string
1{
2 "image_name": "string",
3 "size": 1,
4 "content_type": "string"
5}
Upload an inline image for use in deal content (e.g., Lexical editor). This endpoint: - Validates the file is an image (jpeg, png, gif, webp) - Enforces a 10MB size limit - Stores the image in GCS with URL-encoded path - Returns confirmation of the image name The image is stored separately from deal files and does not appear in the deal files list. The frontend provides the image_name and can use the GET endpoint to retrieve it. Note: image_name may contain non-ASCII characters (e.g., macOS screenshot filenames contain U+202F "narrow no-break space"). The GCS path is URL-encoded by get_gcs_path() to ensure consistent storage and retrieval.
Was this page helpful?
Previous

Company By Domain

Next
Built with

Upload an inline image for use in deal content (e.g., Lexical editor).

This endpoint:

  • Validates the file is an image (jpeg, png, gif, webp)
  • Enforces a 10MB size limit
  • Stores the image in GCS with URL-encoded path
  • Returns confirmation of the image name

The image is stored separately from deal files and does not appear in the deal files list. The frontend provides the image_name and can use the GET endpoint to retrieve it.

Note: image_name may contain non-ASCII characters (e.g., macOS screenshot filenames contain U+202F “narrow no-break space”). The GCS path is URL-encoded by get_gcs_path() to ensure consistent storage and retrieval.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired
image_namestringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response
image_namestring
sizeinteger
content_typestring

Errors

422
Unprocessable Entity Error